#
# Copyright (c) wildnux
#
# Spec file for oracle-java-installer
# 
#
# This package is provided as is without any warranty.
# I am not responsible for any damages whatsoever occurs
# to your computer by installing this package.
#
#  
# Please feel free to modify to improve the package
#
# NOTE: version matched with the java version


%define 	javarelease 7u9

Name:		oracle-java-installer
Version: 	1.7.0_09
Release:	%mkrel 1
Summary: 	This package installs the java from oracle's site.
License: 	GPL
Group: 		Development/Languages/Java
URL: 		http://java.com/en/
Packager: 	Maurizio <mauriziodm@mandrivaclub.be>
Source0: 	oracle-java-installer.sh.in
Source1: 	oracle-java-uninstaller.sh.in

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires:	wget
BuildRequires: 	update-alternatives
#BuildRequires: 
#BuildRequires: 


Provides: 	java-1.6.0-oracle
Provides: 	java-1.6.0-sun
Provides: 	jre-1.6.0-sun
Provides: 	jre-1.6.0-oracle
Provides: 	jre-oracle
Provides: 	jre-sun
Provides: 	java
Provides: 	javaws
Provides: 	jre
Provides: 	libnpjp2.so
Provides: 	java-1.7.0-oracle
Provides: 	java-1.7.0-sun
Provides: 	jre-1.7.0-sun
Provides: 	jre-1.7.0-oracle


%description
This package installs the java from oracle's site.

%prep
cp %{SOURCE0} .
cp %{SOURCE1} .

# %setup

%build
%ifarch x86_64
    %define myarch 64
%else 
    %define myarch 32
%endif

sed -e 's,__ARCH__,%{myarch},' -e 's,__VERSION__,%{version},' -e 's,__JAVARELEASE__,%{javarelease},' oracle-java-installer.sh.in > oracle-java-installer-%{javarelease}.sh
sed -e 's,__ARCH__,%{myarch},' -e 's,__VERSION__,%{version},' oracle-java-uninstaller.sh.in > oracle-java-uninstaller-%{javarelease}.sh

%install
%{__mkdir} -p %{buildroot}/var/adm/update-scripts/ 
%{__cp} oracle-java-installer-%{javarelease}.sh   %{buildroot}/var/adm/update-scripts/ 
%{__cp} oracle-java-uninstaller-%{javarelease}.sh %{buildroot}/var/adm/update-scripts/ 

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(0755,root,root,0755)
/var/adm/update-scripts/*

%post
/var/adm/update-scripts/oracle-java-installer-%{javarelease}.sh
exit 0

%preun
/var/adm/update-scripts/oracle-java-uninstaller-%{javarelease}.sh
exit 0

%changelog
* Sat Oct 20 2012 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Update to version 1.7.0_09

* Sat Sep 01 2012 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Update to version 1.7.0_07

* Fri Aug 24 2012 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Update to version 1.7.0_06

* Sat Jul 14 2012 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Bugfix

* Sun Jun 24 2012 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Update to version 1.7.0_05

* Thu May 10 2012 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Update to version 1.7.0_04

* Thu Feb 16 2012 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Update to version 1.6.0_31

* Sat Feb 5 2012  Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Rebuild for Mandriva from openSuSE SRPM
- Install & Un-install through post & preun
- Fixed Install & Un-install script
